package demo01;

import java.util.ArrayList;


class compte {
	
	int solde = 0;
	String titulaire;
	int numero;
	
	compte(String nom, int num)
	{
		titulaire = nom;
		numero = num;
		
	}
	
	void depot(int montant)
	{
		solde = solde + montant;
		
	}
	
	void retrait(int montant)
	{
		solde = solde - montant;
		
	}
	
	void virement(int montant, compte autre)
	{
		autre.retrait(montant);
		this.depot(montant);
	}
	
	void afficher()
	{
		System.out.println("Salut patoche");
	}
	
}	


class Point
{
	private int x ;
	private int y ;
	
	Point(int abs, int ord)
	{
		x = abs;
		y = ord;
	}
	
	void init(int abs, int ord)
	{
		x = abs;
		y = ord;
		
	}
	
	void deplace(int dx, int dy)
	{
		x +=dx;
		y +=dy;
		
	}
	
	void affiche()
	{
		System.out.println("plouf");
	}
	
	void set_positionxy(int abs,int ord)
	{
		x = abs;
		y = ord;
	}
}


public class Eleve {
    private String nom;
    private ArrayList<Integer> listeNotes = new ArrayList<Integer>();
    private double moyenne;
    
    public Eleve(String nom) {
	this.nom = nom;
    }
    
    public double getMoyenne() {
	return moyenne;
    }
    
    public String getNom() {
	return nom;
    }

    public ArrayList<Integer> getListeNotes() {
	return listeNotes;
    }
    
    /* Une note inferieure a 0 sera considere comme egale a 0 ;
       une note superieure a 20 sera considere comme egale a 20 */
    public void ajouterNote(int note) {
	int nbNotes = this.listeNotes.size();
	if (note < 0) note = 0;
	else if (note > 20) note = 20;
	this.moyenne = (this.moyenne * nbNotes + note) / (nbNotes + 1);
	listeNotes.add(note);
    }
    
    public String toString() {
	return nom + " (" + (int)(100 * moyenne)/100.0 + ")";
    }
}

class Vehicule
{
    public int vitesse;
    public int nombre_de_places;
}

class Automobile extends Vehicule
{
    public Automobile()
    {
        this.vitesse = 90;
        this.nombre_de_places = 5;
    }
}

class TestEleve {
	public static void main(String[] arg) throws InterruptedException
	{
		/*Eleve eleve = new Eleve(arg[0]);
		for (int i = 1; i < arg.length; i++) {		
			eleve.ajouterNote(Integer.parseInt(arg[i]));
			System.out.println("Moyenne de " + eleve.getNom() +
					" : " + eleve.getMoyenne());
		}
		System.out.println(eleve);*/
		
		
		Automobile coco = new Automobile();
		coco.nombre_de_places = 789;
		
		int toto = 5;
		toto = 45;
		
		Thread.sleep(2500);
		
		compte martin, paul ; 
		martin = new compte("martin", 1412);
		paul = new compte("paul", 14);
		
		martin.depot(850);
		paul.virement(125, martin);
		System.out.println("Salut patoche");
		
		Point a = new Point(7,204);
		a.init(8, 18);
		a.set_positionxy(10,20);
		
		int[] tab = new int[10];
		
	}
}